<?php
/**
 * Material Design Icons library for Elementor.
 * MDI by Pictogrammers - Apache 2.0 License
 * https://pictogrammers.com/library/mdi/
 *
 * @package MoxIcon
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class MoxIcon_MDI extends MoxIcon_Library_Abstract {

	public function get_name() {
		return 'moxicon-mdi';
	}

	public function get_label() {
		return __( 'Material Design Icons', 'mox-icons-pack-for-elementor' );
	}

	public function get_prefix() {
		return 'mdi mdi-';
	}

	public function get_display_prefix() {
		return 'mdi';
	}

	public function get_css_url() {
		return MOX_ICON_URL . 'assets/libs/mdi/materialdesignicons.min.css';
	}

	public function get_json_url() {
		return MOX_ICON_URL . 'assets/libs/mdi/icons.json';
	}

	public function get_version() {
		return '7.4.47';
	}

	public function get_label_icon() {
		return 'mdi mdi-material-design';
	}
}
